{% extends '_layout.html' %}
{% load staticfiles %}
{% load utils %}

{% block container_style %} style="overflow-x:auto;" {% endblock %}

{% block page_style %}
    <link rel="stylesheet" href="{% static 'css/datatables.bulma.css' %}" />
{% endblock %}

{% block content %}
    <div class="tabs is-centered is-medium">
        <ul>
            <li class="{% if request.resolver_match.url_name == "leaderboard" %}is-active{% endif %}">
                <a href="{% url 'leaderboard' %}">Individual</a>
            </li>
            <li class="{% if request.resolver_match.url_name == "department-leaderboard" or request.resolver_match.url_name == "user-department-leaderboard" %}is-active{% endif %}">
                <a href="{% url 'department-leaderboard' %}">Department</a>
            </li>
            <li class="{% if request.resolver_match.url_name == "location-leaderboard" %}is-active{% endif %}">
                <a href="{% url 'location-leaderboard' %}">Location</a>
            </li>
        </ul>
    </div>
    <div class="has-text-centered">
        <div class="column is-12">
            <table class="table is-striped is-fullwidth">
                <thead>
                <tr>
                    <th>No.</th>
                    {% if request.resolver_match.url_name == "leaderboard" or request.resolver_match.url_name == "user-department-leaderboard"%}
                        <th>User</th>
                    {% elif request.resolver_match.url_name == "location-leaderboard" %}
                        <th>Location</th>
                    {% else %}
                        <th>Department</th>
                    {% endif %}
                    <th>Score</th>
                    {% if request.resolver_match.url_name == "leaderboard"  %}
                        <th>Department</th>
                    {% endif %}
                    <th>
                        {% if request.resolver_match.url_name != "department-leaderboard" %}
                            Total predictions
                        {% else %}
                            Member average
                        {% endif %}
                    </th>
                    <th>Correct predictions</th>
                    <th>Exact predictions</th>
                    {% if request.resolver_match.url_name == "leaderboard" %}
                        <th>Championship prediction</th>
                    {% endif %}
                </tr>
                </thead>
                <tbody>
                {% for key, u in result.items %}
                    <tr>
                        <td>{{ u.position }}</td>

                        {% if request.resolver_match.url_name == "department-leaderboard" %}
                            <td><a href="{% url 'user-department-leaderboard' key|safe_urlencode %}">{{ key }}</a></td>
                        {% else %}
                            <td>{{ key }}</td>
                        {% endif %}
                        <td>{{ u.score }}</td>
                        {% if request.resolver_match.url_name == "leaderboard"  %}
                            <td><a href="{% url 'user-department-leaderboard' u.department|safe_urlencode %}">{{ u.department }}</a></td>
                        {% endif %}
                        <td>{{ u.placed }}</td>
                        <td>{{ u.won }}</td>
                        <td>{{ u.super_won }}</td>
                        {% if request.resolver_match.url_name == "leaderboard" %}
                            <td>
                                {% if u.super_bet %}
                                    {{ u.super_bet.country }}
                                {% endif %}
                            </td>
                        {% endif %}
                    </tr>
                {% endfor %}
                </tbody>
            </table>
        </div>
    </div>
{% endblock %}

{% block scripts %}
    <script src="{% static 'js/jquery.js' %}"></script>
    <script src="{% static 'js/datatables.js' %}"></script>
    <script src="{% static 'js/datatables.bulma.js' %}"></script>

    <script type="text/javascript">
        $(".table").DataTable({
            order: [[2, 'desc'], [1, 'asc']]
        });
    </script>
{% endblock %}
